MLXCTL(8)

NAME
mlxctl - Mylex DAC960 family management utility

SYNOPSIS
mlxctl [-f dev] [-v] [-a] status [drive] [...]
mlxctl [-f dev] [-a] detach [drive] [...]
mlxctl [-f dev] [-a] check [drive] [...]
mlxctl [-f dev] rebuild channel:target
mlxctl [-f dev] cstatus
mlxctl [-f dev] rescan
mlxctl [-f dev] config

DESCRIPTION
The mlxctl utility performs status monitoring and management functions for Mylex DAC960 RAID controllers and attached devices.

The following options are available:

-a  Apply the action to all drives attached to the controller.

-f dev
    Specify the control device to use. The default is /dev/mlx0.

-v  Increased verbosity.

The following commands are available:

cstatus
    Display the controller's current status.

status
    Display the status of the specified drives. This command returns 0 if all drives tested are online, 1 if one or more drives are critical and 2 if one or more are offline.

rescan
    Re-scan the logical drive table, and attach or detach devices from the system as necessary.

detach
    Detach the specified drives. Drives must be unmounted and unopened for this command to succeed.

check
    Initiate a consistency check and repair pass on a drive that provides redundancy (e.g., RAID1 or RAID5). This command returns immediately. The status command can be used to monitor the progress of the check.

rebuild
    Rebuild onto the specified physical drive. Note that there can be only one running rebuild operation per controller at any given time. This command returns immediately. The cstatus command can be used to monitor the progress of the rebuild.

config
    Write the current system drive configuration to stdout.

EXAMPLES
Display the status of drive ld3 attached to the controller mlx1:

    mlxctl -f /dev/mlx1 -v status ld3

SEE ALSO
ld(4), mlx(4)

HISTORY
The mlxctl command first appeared in NetBSD 1.5.3, and was based on the mlxcontrol utility found in FreeBSD.

BUGS
Modifying drive configuration is not yet supported.

Some commands do not work with older firmware revisions.

Error log extraction is not yet supported.